Diligent Engine API Reference: Diligent::SamplerD3D11Impl Class Reference

Diligent Engine API Reference

Public Member Functions | List of all members
Diligent::SamplerD3D11Impl Class Reference

Implementation of the Diligent::ISamplerD3D11 interface. More...

Inheritance diagram for Diligent::SamplerD3D11Impl:

## Public Member Functions
virtual void | QueryInterface (const Diligent::INTERFACE_ID &IID, IObject **ppInterface) final
| Queries the specific interface, see IObject::QueryInterface() for details.
virtual ID3D11SamplerState * | GetD3D11SamplerState () override final
| Returns a pointer to the ID3D11SamplerState interface of the internal Direct3D11 object. More...
Public Member Functions inherited from Diligent::SamplerBase< ISamplerD3D11, IRenderDeviceD3D11 >
| SamplerBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const SamplerDesc &SamDesc, bool bIsDeviceInternal=false)
| ~SamplerBase ()
Public Member Functions inherited from Diligent::DeviceObjectBase< ISamplerD3D11, SamplerDesc >
| DeviceObjectBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const SamplerDesc &ObjDesc, bool bIsDeviceInternal=false)
virtual const SamplerDesc & | GetDesc () const override final
UniqueIdentifier | GetUniqueID () const
| Returns unique identifier. More...
Public Member Functions inherited from Diligent::IDeviceObject
virtual void | QueryInterface (const INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.

## Additional Inherited Members
Protected Attributes inherited from Diligent::DeviceObjectBase< ISamplerD3D11, SamplerDesc >
const String | m_ObjectNameCopy
| Copy of a device object name. More...
SamplerDesc | m_Desc
| Object description.

## Detailed Description

Implementation of the Diligent::ISamplerD3D11 interface.

## Member Function Documentation

## ◆ GetD3D11SamplerState()

virtual ID3D11SamplerState* Diligent::SamplerD3D11Impl::GetD3D11SamplerState | ( |  | ) |
| inlinefinaloverridevirtual

Returns a pointer to the ID3D11SamplerState interface of the internal Direct3D11 object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implements Diligent::ISamplerD3D11.